package ir.codeandroid.framework.implementation;

/**
 * Created by ARM on 5/26/2018.
 */

import java.util.List;

import android.view.View.OnTouchListener;

import ir.codeandroid.framework.Input.TouchEvent;

public interface TouchHandler extends OnTouchListener {
    public boolean isTouchDown(int pointer);

    public int getTouchX(int pointer);

    public int getTouchY(int pointer);

    public List<TouchEvent> getTouchEvents();
}
